[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'libtar' (#fcl)

# TTarWriter.AddLink

Add hard link to archive

## Declaration

Source position: libtar.pp line 203

`public procedure TTarWriter.AddLink(`
`Filename: AnsiString;`
`Linkname: AnsiString;`
`DateGmt: TDateTime`
`);`

## Arguments

`Filename` |  | Entry filename
`Linkname` |  | Target of hard link
`DateGmt` |  | Timestamp of entry

## Description

AddLink adds a hard link entry to the archive. The entry has name FileName, timestamp DateGmt and points to LinkName.

The link entry is written with the current owner data and permissions.

## See also

TTarWriter.AddFile |  | Add a file to the archive
TTarWriter.AddStream |  | Add stream contents to archive.
TTarWriter.AddSymbolicLink |  | Add a symbolic link to the archive
TTarWriter.AddDir |  | Add directory to archive
TTarWriter.AddString |  | Add string as file data
TTarWriter.AddVolumeHeader |  | Add volume header entry

Documentation generated on: Feb 26 2014